/*
 *	Copyright (C) 2001 Hitachi, Ltd.
 *	All rights reserved.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: basename.c,v 1.1.1.1 2005/06/20 07:13:48 nis Exp $"; */

#include <config.h>

#if ! defined HAVE_BASENAME

#include <sys/types.h>

#include <string.h>
#include <strings.h>

#include <geta/dtypes.h>
#include <geta/dw.h>
#include <geta/dwut.h>

char *
basename(p)
const char *p;
{
	char *r;
	if (r = rindex(p, '/')) {
		return r+1;
	}
	return p;
}
#endif
