/*
 *	Copyright (C) 1998 Advanced Research Laboratory, Hitachi, Ltd.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: bdup.c,v 1.2 2007/03/21 03:17:41 nis Exp $"; */

#include <config.h>

#include <sys/types.h>

#include <stdlib.h>
#include <string.h>
#include <strings.h>

#include <geta/dtypes.h>
#include <geta/dw.h>
#include <geta/dwut.h>

void *
bdup(b, len)
void *b;
size_t len;
{
	void *r;

	if ((r = malloc(len))==NULL) {
		return NULL;
	}
	bcopy(b, r, len);
	return r;
}
