/*
 *	Copyright (C) 2001 Hitachi, Ltd.
 *	All rights reserved.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: cel.c,v 1.2 2007/03/21 03:17:41 nis Exp $"; */

#include <config.h>

#include <sys/types.h>
#include <stdlib.h>

#include <geta/dtypes.h>
#include <geta/dw.h>
#include <geta/dwut.h>
#include <geta/dwerrno.h>

#include "cel.h"

static struct cel_t *pool = NULL, *pool0 = NULL;

struct cel_t *
new_cel()
{
	if (pool==pool0) {
		size_t ncell = 1024*32;
		if (!(pool0 = calloc(ncell, sizeof *pool))) {
			dwerrno = errno;
			return NULL;
		}
		pool = pool0 + ncell;
	}
	return --pool;
}
