#include <config.h>

#include <sys/types.h>
#include <sys/time.h>

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#include <geta/dtypes.h>
#include <geta/dw.h>
#include <geta/dwut.h>
#include <geta/dci.h>
#include <geta/dcw.h>
#include <geta/dxr.h>
#include <geta/daui.h>
#include <geta/dwwt.h>
#include <geta/dwsh.h>
#include <geta/dwc.h>
#include <geta/dwam.h>

#include "dcsP.h"

int
alloc_syminfo_list(slp, n)
     struct syminfo_list *slp;
ssize_t n;
{
  slp->elem_num = n;
  if (!(slp->scp = (struct syminfo_cell *)calloc(n, sizeof *(slp->scp)))) {
    perror("calloc");
    return -1;
  }
  return 0;
}

void
free_syminfo_list(slp)
     struct syminfo_list *slp;
{
  size_t i;
  
  if (!slp) return;
  for (i = 0; i < slp->elem_num; i++) {
    zfree((slp->scp[i]).sp);
  }
  zfree(slp->scp);
  slp->scp = NULL;
  slp->elem_num = 0;
}
