/*
 *	Copyright (c) 2004 Shingo Nishioka.  All rights reserved.
 */

#if 0
static char rcsid[] = "$Id: cshash.c,v 1.3 2007/03/21 03:17:41 nis Exp $";
#endif

#include <config.h>

#include <sys/param.h>

#include <geta/dtypes.h>
#include <geta/dw.h>
#include <geta/dwut.h>

#include "pptbls.h"

#define	MASK	0xffffffff

#define nelems(e)	(sizeof (e) / sizeof *(e))

u_int
cshash(c, n, k)
u_char const *c;
size_t n;
{
        u_int r;
	size_t i;
	u_int *table;

	if (0 <= k && k < nelems(tbls)) {
		table = tbls[k];
	}
	else {
		table = tbls[0];
	}
	r = MASK;
	for (i = 0; i < n; i++) {
		u_int d = c[i] & 0xff;
		u_int v;
		r ^= d;
		v = table[r & 0xff];
		r >>= 8;
		r ^= v;
	}
	return ~r & MASK;
}
