/*
 *	Copyright (C) 2001 Advanced Research Laboratory, Hitachi, Ltd.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: dauiP.h,v 1.7 2007/03/24 02:52:58 nis Exp $"; */

#define	DAUI_VERSION	0

#define DAUI_MAGIC	61586
#define DAUI_MAGIC_F	61587
#define DAUI_MAGIC_E	61588
#define DAUI_MAGIC_D	61589

struct au_index_t {
	ssize_t fragment;
	size_t offset;
	size_t length;
};

struct daui_hdr {
	u_char ident[16];
	int type;	/* zero */
	int version;
	int mtime;

	ssize_t fragment;
	size_t nentries;
	size_t pentries;

	int reserved[32-10];
};
