/*
 *	Copyright (C) 2001 Hitachi, Ltd.
 *	All rights reserved.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: dci.h,v 1.2 2007/03/16 01:33:12 nis Exp $"; */

#if USE_CICONF

#define	MAXIDLEN	(256+14+1+1)

/* value names */
#define	CI_HANDLE		"handle"
#define	CI_SHORTNAME		"short-name"
#define	CI_DATAROOT		"dataroot"
#define	CI_FLAGS		"flags"
#define	CI_DEFAULT_HANDLE	"default"

void ci_set_ciconf(char const *);
int ci_init(char const *);
char const **ci_handles(void);
char const *ci_value(char const *, char const *);
u_int ci_flags(char const *);
void ci_print_dataset(FILE *, char const *);

#endif	/* USE_CICONF */
