/*
 *	Copyright (C) 1999 Advanced Research Laboratory, Hitachi, Ltd.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: dcwP.h,v 1.5 2007/03/21 04:28:53 nis Exp $"; */

#define	DCW_VERSION	0

#define DCW_MAGIC	961599

struct bindex_t {
	size_t b;
};

struct rindex_t {
	idx_t r;
	size_t b;
};

struct dcw_hdr {
	u_char ident[16];
	int type;
	int version;
	int mtime;

	size_t nentries;
	int rindex_type;
	size_t bindex_offset;
	size_t rindex_offset;
	size_t fullwd_offset;

	/* for hash-index */
	size_t size;

	int reserved[32-15];
};

#define	RIT_BSEARCH	0
#define	RIT_HASH	1
