--
--	Copyright (C) 2002 Hitachi, Ltd.
--	All rights reserved.
--	Author: Shingo NISHIOKA
--		nis@harl.hitachi.co.jp
--

-- rcsid="$Id: Stat.hs,v 1.1.1.1 2005/06/20 07:13:48 nis Exp $"

module Main (main) where

import XrElem
import WeightType
import SymInfo
import Wam

getaroot = Nothing

han = "manyo"

main :: IO ()
main = do
	Wam.initialize getaroot
	w <- Wam.open han
	print (sub w Wam.Row elemNum)
	print (sub w Wam.Col elemNum)
	print (sub w Wam.Row freqSum)
	print (sub w Wam.Col freqSum)
	Wam.close w

sub :: Wam -> Direction -> (Wam -> Direction -> Int -> Int)-> [Int]
sub w d f = map (f w d) [1 .. (Wam.size w d)]
