/*
 *	Copyright (C) 2003 Hitachi, Ltd.
 *	All rights reserved.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: iov.h,v 1.1.1.1 2005/06/20 07:13:48 nis Exp $"; */

#include <sys/types.h>
#include <sys/uio.h>

#include <limits.h>
#include <unistd.h>

ssize_t safe_writev(int, const struct iovec *, size_t);
ssize_t safe_readv(int, const struct iovec *, size_t);

#if ! defined IOV_MAX && defined UIO_MAXIOV
#define	IOV_MAX	UIO_MAXIOV
#endif

#if ! defined IOV_MAX
/* maybe FreeBSD */
#define	IOV_MAX	1024
#endif
