/*
 *	Copyright (C) 2001 Hitachi, Ltd.
 *	All rights reserved.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: jis.c,v 1.2 2007/03/29 07:37:38 nis Exp $"; */

#if 0
static char rcsid[] = "$Id: jis.c,v 1.2 2007/03/29 07:37:38 nis Exp $";
#endif

#if 0
#include <config.h>

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include <geta/dtypes.h>
#include <geta/dw.h>
#include <geta/dwut.h>
#endif

#define	SB	0
#define	MB	1

static int etojs(char const *, char *, size_t);
static int jtoes(char const *, char *, size_t);

static char *putshift(int, int, char *, char * const);

static int
jtoes(s, t, size)
char const *s;
char *t;
size_t size;
{
	int shift = SB;
	int f = 'B';
	char *e;
	size_t l;

	l = 0;
#warning t==e-1 no toki ni, escape sequence ga nokotte iruto, return -1 site simau.
	for (e=t?t+size:NULL; *s && (!t || t<e-1); s++) {
		if (*s==033) {
			s++;
			switch (*s) {
			case '$':
				shift = MB;
				s++;
				break;
			case '(':
				shift = SB;
				s++;
				break;
			default:
				return -1;
			}
			f = *s;
		}
		else if (shift==MB) {
			if (t) {
				*t++ = *s | 0x80;
				*t++ = *(s+1) | 0x80;
			}
			s++;
			l+=2;
		}
		else {
			if (t) {
				*t++ = *s & 0x7f;
			}
			l++;
		}
	}
	if (*s) {
		return -1;
	}
	if (t) {
		*t = 0;
	}
	return l;
}

static int
etojs(s, t, size)
char const *s;
char *t;
size_t size;
{
	int shift = SB;
	int f = 'B';
	char *e;
	size_t l;

	l = 0;
	for (e=t?t+size:NULL; *s && (!t || t<e-1); s++) {
		if (*s&0x80) {
			if (shift==SB) {
				shift = MB;
				f = 'B';
				if (t && !(t = putshift(shift, f, t, e))) {
					return -1;
				}
				l+=3;
			}
			if (t) {
				*t++ = *s & 0x7f;
				*t++ = *(s+1) & 0x7f;
			}
			s++;
			l+=2;
		}
		else {
			if (shift==MB) {
				shift = SB;
				f = 'B';
				if (t && !(t = putshift(shift, f, t, e))) {
					return -1;
				}
				l+=3;
			}
			if (t) {
				*t++ = *s & 0x7f;
			}
			l++;
		}
	}
	if (*s) {
		return -1;
	}
	if (shift==MB) {
		shift = SB;
		f = 'B';
		if (t && !(t = putshift(shift, f, t, e))) {
			return -1;
		}
		l+=3;
	}
	if (t) {
		if (t>e-1) {
			return -1;
		}
		*t = 0;
	}
	return l;
}

static char *
putshift(shift, f, s, e)
char *s;
char * const e;
{
	if (s+3<=e-1) {
		*s++ = 033;
		if (shift==MB) {
			*s++ = '$';
		}
		else {
			*s++ = '(';
		}
		*s++ = f;
		return s;
	}
	return NULL;
}
