/*
 *	Copyright (C) 1996 Advanced Research Laboratory, Hitachi, Ltd.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: nlog.h,v 1.2 2006/11/03 23:31:24 nis Exp $"; */

#ifndef _GETA_NLOG_H
#define _GETA_NLOG_H

#include <stdarg.h>
#include <syslog.h>

int nassignlogf(char const *);
void nopenlog(char const *, int, int);
void nlog(int, char const *, ...);
void vnlog(int, char const *, va_list);
void ncloselog(void);
int nsetlogmask(int);
FILE *nlogstream(void);
void nperror(char const *);
void nlogflush(void);

#endif
