
size_t
pack_ints_dtdd(p0, size, end, fmt, v0, v1, v2, v3)
void *p0;
size_t size;
void *end;
char const *fmt;
int *v0;
ssize_t *v1;
int *v2;
int *v3;
{
	if (strcmp(fmt, "dtdd")) {
		return 0;
	}
	return pack_ints(p0, size, end, fmt, v0, v1, v2, v3);
}

size_t
pack_ints_id(p0, size, end, fmt, v0, v1)
void *p0;
size_t size;
void *end;
char const *fmt;
idx_t *v0;
int *v1;
{
	if (strcmp(fmt, "id")) {
		return 0;
	}
	return pack_ints(p0, size, end, fmt, v0, v1);
}

size_t
pack_ints_it(p0, size, end, fmt, v0, v1)
void *p0;
size_t size;
void *end;
char const *fmt;
idx_t *v0;
ssize_t *v1;
{
	if (strcmp(fmt, "it")) {
		return 0;
	}
	return pack_ints(p0, size, end, fmt, v0, v1);
}

size_t
pack_ints_s(p0, size, end, fmt, v0)
void *p0;
size_t size;
void *end;
char const *fmt;
size_t *v0;
{
	if (strcmp(fmt, "s")) {
		return 0;
	}
	return pack_ints(p0, size, end, fmt, v0);
}

size_t
pack_ints_sddtddd(p0, size, end, fmt, v0, v1, v2, v3, v4, v5, v6)
void *p0;
size_t size;
void *end;
char const *fmt;
size_t *v0;
int *v1;
int *v2;
ssize_t *v3;
int *v4;
int *v5;
int *v6;
{
	if (strcmp(fmt, "sddtddd")) {
		return 0;
	}
	return pack_ints(p0, size, end, fmt, v0, v1, v2, v3, v4, v5, v6);
}

size_t
pack_ints_sdsssd(p0, size, end, fmt, v0, v1, v2, v3, v4, v5)
void *p0;
size_t size;
void *end;
char const *fmt;
size_t *v0;
int *v1;
size_t *v2;
size_t *v3;
size_t *v4;
int *v5;
{
	if (strcmp(fmt, "sdsssd")) {
		return 0;
	}
	return pack_ints(p0, size, end, fmt, v0, v1, v2, v3, v4, v5);
}

size_t
pack_ints_jdjjjd(p0, size, end, fmt, v0, v1, v2, v3, v4, v5)
void *p0;
size_t size;
void *end;
char const *fmt;
ssize_t *v0;
int *v1;
ssize_t *v2;
ssize_t *v3;
ssize_t *v4;
int *v5;
{
	if (strcmp(fmt, "jdjjjd")) {
		return 0;
	}
	return pack_ints(p0, size, end, fmt, v0, v1, v2, v3, v4, v5);
}

size_t
pack_ints_sfdd(p0, size, end, fmt, v0, v1, v2, v3)
void *p0;
size_t size;
void *end;
char const *fmt;
size_t *v0;
freq_t *v1;
int *v2;
int *v3;
{
	if (strcmp(fmt, "sfdd")) {
		return 0;
	}
	return pack_ints(p0, size, end, fmt, v0, v1, v2, v3);
}

size_t
pack_ints_jjdd(p0, size, end, fmt, v0, v1, v2, v3)
void *p0;
size_t size;
void *end;
char const *fmt;
ssize_t *v0;
ssize_t *v1;
int *v2;
int *v3;
{
	if (strcmp(fmt, "jjdd")) {
		return 0;
	}
	return pack_ints(p0, size, end, fmt, v0, v1, v2, v3);
}

size_t
pack_ints_ss(p0, size, end, fmt, v0, v1)
void *p0;
size_t size;
void *end;
char const *fmt;
size_t *v0;
size_t *v1;
{
	if (strcmp(fmt, "ss")) {
		return 0;
	}
	return pack_ints(p0, size, end, fmt, v0, v1);
}

size_t
pack_ints_jj(p0, size, end, fmt, v0, v1)
void *p0;
size_t size;
void *end;
char const *fmt;
ssize_t *v0;
ssize_t *v1;
{
	if (strcmp(fmt, "jj")) {
		return 0;
	}
	return pack_ints(p0, size, end, fmt, v0, v1);
}

size_t
pack_ints_ssdd(p0, size, end, fmt, v0, v1, v2, v3)
void *p0;
size_t size;
void *end;
char const *fmt;
size_t *v0;
size_t *v1;
int *v2;
int *v3;
{
	if (strcmp(fmt, "ssdd")) {
		return 0;
	}
	return pack_ints(p0, size, end, fmt, v0, v1, v2, v3);
}

size_t
unpack_ints_dtdd(p0, size, end, fmt, v0, v1, v2, v3)
void const *p0;
size_t size;
void *end;
char const *fmt;
int *v0;
ssize_t *v1;
int *v2;
int *v3;
{
	if (strcmp(fmt, "dtdd")) {
		return 0;
	}
	return unpack_ints(p0, size, end, fmt, v0, v1, v2, v3);
}

size_t
unpack_ints_id(p0, size, end, fmt, v0, v1)
void const *p0;
size_t size;
void *end;
char const *fmt;
idx_t *v0;
int *v1;
{
	if (strcmp(fmt, "id")) {
		return 0;
	}
	return unpack_ints(p0, size, end, fmt, v0, v1);
}

size_t
unpack_ints_it(p0, size, end, fmt, v0, v1)
void const *p0;
size_t size;
void *end;
char const *fmt;
idx_t *v0;
ssize_t *v1;
{
	if (strcmp(fmt, "it")) {
		return 0;
	}
	return unpack_ints(p0, size, end, fmt, v0, v1);
}

size_t
unpack_ints_s(p0, size, end, fmt, v0)
void const *p0;
size_t size;
void *end;
char const *fmt;
size_t *v0;
{
	if (strcmp(fmt, "s")) {
		return 0;
	}
	return unpack_ints(p0, size, end, fmt, v0);
}

size_t
unpack_ints_sddtddd(p0, size, end, fmt, v0, v1, v2, v3, v4, v5, v6)
void const *p0;
size_t size;
void *end;
char const *fmt;
size_t *v0;
int *v1;
int *v2;
ssize_t *v3;
int *v4;
int *v5;
int *v6;
{
	if (strcmp(fmt, "sddtddd")) {
		return 0;
	}
	return unpack_ints(p0, size, end, fmt, v0, v1, v2, v3, v4, v5, v6);
}

size_t
unpack_ints_sdsssd(p0, size, end, fmt, v0, v1, v2, v3, v4, v5)
void const *p0;
size_t size;
void *end;
char const *fmt;
size_t *v0;
int *v1;
size_t *v2;
size_t *v3;
size_t *v4;
int *v5;
{
	if (strcmp(fmt, "sdsssd")) {
		return 0;
	}
	return unpack_ints(p0, size, end, fmt, v0, v1, v2, v3, v4, v5);
}

size_t
unpack_ints_jdjjjd(p0, size, end, fmt, v0, v1, v2, v3, v4, v5)
void const *p0;
size_t size;
void *end;
char const *fmt;
ssize_t *v0;
int *v1;
ssize_t *v2;
ssize_t *v3;
ssize_t *v4;
int *v5;
{
	if (strcmp(fmt, "jdjjjd")) {
		return 0;
	}
	return unpack_ints(p0, size, end, fmt, v0, v1, v2, v3, v4, v5);
}

size_t
unpack_ints_sfdd(p0, size, end, fmt, v0, v1, v2, v3)
void const *p0;
size_t size;
void *end;
char const *fmt;
size_t *v0;
freq_t *v1;
int *v2;
int *v3;
{
	if (strcmp(fmt, "sfdd")) {
		return 0;
	}
	return unpack_ints(p0, size, end, fmt, v0, v1, v2, v3);
}

size_t
unpack_ints_jjdd(p0, size, end, fmt, v0, v1, v2, v3)
void const *p0;
size_t size;
void *end;
char const *fmt;
ssize_t *v0;
ssize_t *v1;
int *v2;
int *v3;
{
	if (strcmp(fmt, "jjdd")) {
		return 0;
	}
	return unpack_ints(p0, size, end, fmt, v0, v1, v2, v3);
}

size_t
unpack_ints_ss(p0, size, end, fmt, v0, v1)
void const *p0;
size_t size;
void *end;
char const *fmt;
size_t *v0;
size_t *v1;
{
	if (strcmp(fmt, "ss")) {
		return 0;
	}
	return unpack_ints(p0, size, end, fmt, v0, v1);
}

size_t
unpack_ints_jj(p0, size, end, fmt, v0, v1)
void const *p0;
size_t size;
void *end;
char const *fmt;
ssize_t *v0;
ssize_t *v1;
{
	if (strcmp(fmt, "jj")) {
		return 0;
	}
	return unpack_ints(p0, size, end, fmt, v0, v1);
}

size_t
unpack_ints_ssdd(p0, size, end, fmt, v0, v1, v2, v3)
void const *p0;
size_t size;
void *end;
char const *fmt;
size_t *v0;
size_t *v1;
int *v2;
int *v3;
{
	if (strcmp(fmt, "ssdd")) {
		return 0;
	}
	return unpack_ints(p0, size, end, fmt, v0, v1, v2, v3);
}
