/*
 *	Copyright (C) 2000 Hitachi, Ltd.
 *	All rights reserved.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: pkt.h,v 1.5 2007/03/20 03:41:49 nis Exp $"; */

/*
 * ヘテロ環境で動くためには, 
 * double が, 同じエンコーディングであることが必要
 */

struct msg {
	struct {
		uint32_t cmd;
		uint32_t len;
		uint32_t session_id;
#if defined XXDEBUG
		uint32_t seq;
#endif
	} h;
	struct {
		void *data;
		size_t size;
	} u;
};

#define	MAXPKTLEN	0x00ffffff	/* 16,777,215 bytes */

#define	MAXCMD		0x000000ff

#define	CKOVFL(c)	(void)0

#if 0
ssize_t send_pkt(int, struct msg *);
#endif
ssize_t send_pkt_c(int, int, int, void const *, size_t);
ssize_t send_pkt_v(int, int, int, struct iovec [], size_t);
int recv_pkt(int, struct msg *);
int recv_pkt_c(int, int, struct msg *);
void pkt_d(FILE *);
