/*
 *	Copyright (c) 2005 Shingo Nishioka.  All rights reserved.
 */

#if 0
static char rcsid[] = "$Id: sdup.h,v 1.1.1.1 2005/06/20 07:13:48 nis Exp $";
#endif

struct sdup {
	char *base, *end, *pend;
	size_t nbases, bases_size;
	char **bases;
	int monolithic;
	size_t fragsz;
};

#define	SDUP_RDWR	0
#define	SDUP_RDONLY	1

struct sdup *sdup_init(void *);
char *sdup(struct sdup *, char const *);
void sdup_free(struct sdup *);
void sdup_refresh(struct sdup *);
