;;;
;;;	Copyright (C) 2001 Hitachi, Ltd.
;;;	All rights reserved.
;;;	Author: Shingo NISHIOKA
;;;		nis@harl.hitachi.co.jp
;;;

;;; rcsid="$Id: dwij.scm,v 1.2 2007/03/29 03:21:19 nis Exp $"

(define (wam:client port . msg)
  (write msg port)
  (force-output port)
  (read port))

;(define *wam:family* 'af_inet)
(define *wam:family* 'af_unix)

(define (wam:open-swam-port)
  (if (eqv? *wam:family* 'af_unix)
      (let ((port (make-stream-socket af_unix))
	    (wfli-socket "/tmp/wflis"))
	(socket:connect port wfli-socket))
      (let* ((host "localhost")
	     (address (inet:string->address host))
	     (service 2905)
	     (port (make-stream-socket af_inet)))
	(socket:connect port address service))))

(define (wam:close-swam-port port)
(write "close port\n")
  (close-port port))
