/*
 *	Copyright (C) 2000 Hitachi, Ltd.
 *	All rights reserved.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: csche.h,v 1.3 2007/03/17 03:56:18 nis Exp $"; */

mkrhost_t mkrhost_hosts;
mkrhost_t mkrhost_localhost;
mkrhost_t mkrhost_smp_local;

custom_t custom_local;
custom_t custom_word_eqv_area;
custom_t custom_ex_7;
custom_t custom_ex_14;

/* hardwired functions */

#define	HWFLENT(name) {#name, (void(*)())name}

#if defined HW_CSCHE
#define	HWFL_MKRHOSTS	\
	HWFLENT(mkrhost_hosts), \
	HWFLENT(mkrhost_localhost), \
	HWFLENT(mkrhost_smp_local),
#else
#define	HWFL_MKRHOSTS	
#endif

#if defined HW_CSCHE
#define	HWFL_CUSTOMS	\
	HWFLENT(custom_local), \
	HWFLENT(custom_word_eqv_area), \
	HWFLENT(custom_ex_7), \
	HWFLENT(custom_ex_14),
#else
#define	HWFL_CUSTOMS	
#endif
