/*
 *	Copyright (C) 1996 Advanced Research Laboratory, Hitachi, Ltd.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: dw.h,v 1.7 2007/03/26 07:32:14 nis Exp $"; */

struct dw_FILE;
typedef struct dw_FILE DWFILE;
struct dfilt;

#define	DW_SCHE 1

#define DCW_ROW	2
#define DCW_COL	3

#define DXR_ROW	4
#define DXR_COL	5

int dw_mkpathname(char *, size_t, char const *, char const *, int, ssize_t, int);
void dw_mkauipath(char *, size_t, char const *, char const *, char const *, ssize_t, int);

asig_t asig(void);
size_t pack_ints(void *, size_t, void *, char const *, ...);
size_t unpack_ints(void const *, size_t, void *, char const *, ...);
#include "pint_typecheck.h"
char const *freqtostr(freq_t);
char const *ltostr(long);
char const *ultostr(unsigned long);
char const *ultoxstr(unsigned long);
freq_t strtofreq(const char *, char **, int);
ssize_t strtodf(const char *, char **, int);
idx_t strtoidx(const char *, char **, int);

unsigned int crc(unsigned char const *, size_t);
unsigned int crc2(unsigned char const *, size_t, unsigned int);
hash_t sxhash(char const *, size_t, size_t, hash_t);

#define	DWD_PIDF	"/var/run/dwd.pid"
#define	DWD_LOGFILE	"/var/log/dwd.log"
