/*
 *	Copyright (C) 2000 Hitachi, Ltd.
 *	All rights reserved.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: dwcP.h,v 1.2 2005/06/24 10:20:03 nis Exp $"; */

#define DWC_DXR_MAGIC	966006
#define DWC_DXRC_MAGIC	960374
#define DWC_DXRW_MAGIC	983537
#define DWC_DXRS_MAGIC	695525
#define DWC_DXRN_MAGIC	965999
#define DWC_RFILE_MAGIC	966008
#define DWC_WFILE_MAGIC	966111

#define DWD_REMOTE	876290

#define	MINBUFLEN	1024

#define	DWCC_NAK	0
#define	DWCC_ACK	1

#define	DWCC_HND	(1<<1)	/* handshake */
#define	DWCC_BFS	(2<<1)	/* set buffer size */

#define	DWCC_OPN	(3<<1)	/* open */
#define	DWCC_CRE	(4<<1)	/* create */
#define	DWCC_CLO	(5<<1)	/* close */

#define	DWCC_VEC	(6<<1)	/* get vec */
#define	DWCC_FLU	(7<<1)	/* flush */

#define	DWCC_WVE	(8<<1)	/* write vec */
#define	DWCC_SVI	(9<<1)	/* get vec (initial) */
#define	DWCC_SVR	(10<<1)	/* get vec (sequential) */
#define	DWCC_ATV	(11<<1)	/* add trace vec */

#define	DWCC_BLK	(12<<1)	/* write block */
#define	DWCC_SBI	(13<<1)	/* get block (initial) */
#define	DWCC_SBR	(14<<1)	/* get block (sequential) */

#define	DWCC_WSH	(15<<1)	/* wsh */
#define	DWCC_WSHS	(16<<1)	/* wsh/summary */
#define	DWCC_RQN	(17<<1)	/* wsh/summary */

#define	DWCC_NDL	(18<<1)	/* wsh/summary */

#define	DWCC_SYN	(19<<1)	/* sync. */

#define	DWCC_CM		(20<<1)	/* cm */
#define	DWCC_MSK	(21<<1)	/* setmask */

#define	DWCC_DIS	(22<<1)	/* disconnect */
