/*
 *	Copyright (C) 2001 Hitachi, Ltd.
 *	All rights reserved.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: dwerrno.h,v 1.1.1.1 2005/06/20 07:13:48 nis Exp $"; */

#include <errno.h>

extern int dwerrno;

#define	DWE_IERROR	10000	/* internal error(should not happen) */

#define	DWE_INVAL	10001	/* invalid argument */
#define	DWE_NOTDIR	10002	/* path contains no '/' */
#define	DWE_BADVER	10003	/* program version mismatch */
#define	DWE_BADF	10004	/* bad file format */
#define	DWE_BADR	10005	/* argument out of range */

#define DWE_MFILE	10006	/* too many handles in ci.conf */
#define DWE_EMPTYCI	10007	/* ci.conf is empty */
#define DWE_MALFCI	10008	/* malformed ci.conf */
#define DWE_DUPHNDL	10009	/* duplicated handle in ci.conf */
#define DWE_DUPENT	10010	/* duplicated entry in ci.conf */
#define DWE_NOHNDL	10011	/* no such handle */
#define DWE_NOENT	10012	/* no such entry */

#define	DWE_LIMIT	10013	/* internal limit exceeded */

#define	DWE_NOROOT	10014	/* projectroot not found */

#define DWE_OVRN	10015	/* pint: too many arguments */

#define DWE_MISM	10016	/* pkt: packet type mismatch */

#define DWE_SHORTR	10017	/* dwcc: short reply */
