/*
 *	Copyright (C) 2001 Hitachi, Ltd.
 *	All rights reserved.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: dwsched.h,v 1.3 2007/03/29 02:10:01 nis Exp $"; */

struct rcxsp {
	char host[MAXPATHLEN];
	char serv[MAXPATHLEN];
	freq_t total_elem_num, elem_num;
	struct {
		ssize_t fragment;
		char const *handle; /* alias of dwsched->handle. do not free! */
		int type;
		int cascade;
	} i;

	double p;

	int s;	/* f->s to onazi mono daga, koreha, dwc.c no nakade sika mienai node, kokoni copy wo totte aru.  random-order-wsh ga siyou suru. */
	DWFILE *f;
};

struct rcxs {
	size_t np;
	char cw_path[MAXPATHLEN];
	struct rcxsp s, *rems[2];
	/* note: rems[1] is used for cascade connection */
	/* see dwsched.c:read_rcxs: rp->i.cascade = 1; */
	/*  and tutil.c:makesv: rem = rems[cascade];, and so on. */
};

struct dwsched {
	char handle[MAXPATHLEN];
	char path[MAXPATHLEN];
	struct rcxs rcx[2];
	int local;
};

int read_dwsched(struct dwsched *, char const *, char const *);
void clear_dwsched(struct dwsched *);
