/*
 *	Copyright (C) 2001 Hitachi, Ltd.
 *	All rights reserved.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: sexp.h,v 1.1.1.1 2005/06/20 07:13:48 nis Exp $"; */

struct SEXP;
typedef struct SEXP *sexp;

int gettoken(char *, int);
void sexp_setd(int);

sexp sexp_read(void);
void sexp_print(sexp, FILE *);
void sexp_put_string(char const *, FILE *);

char const *symbol_name(sexp);
size_t length(sexp);
int pairp(sexp);

sexp car(sexp);
sexp cdr(sexp);
sexp nth(sexp, int);

void relall(void);
