/*
 *	Copyright (C) 2001 Hitachi, Ltd.
 *	All rights reserved.
 *	Author: Shingo NISHIOKA
 *		nis@harl.hitachi.co.jp
 */

/* static char rcsid[] = "$Id: swam.h,v 1.3 2007/03/29 03:21:19 nis Exp $"; */

struct syminfo;

void swam_init(int, sexp, FILE *);
void swam_open(int, sexp, FILE *);
void swam_close(int, sexp, FILE *);
void swam_size(int, sexp, FILE *);
void swam_elem_num(int, sexp, FILE *);
void swam_freq_sum(int, sexp, FILE *);
void swam_max_elem_num(int, sexp, FILE *);
void swam_max_freq_sum(int, sexp, FILE *);
void swam_total_elem_num(int, sexp, FILE *);
void swam_total_freq_sum(int, sexp, FILE *);
void swam_id2name(int, sexp, FILE *);
void swam_name2id(int, sexp, FILE *);
void swam_get_vec(int, sexp, FILE *);
void swam_wsh(int, sexp, FILE *);
void swam_getprop(int, sexp, FILE *);
void swam_wstem(int, sexp, FILE *);
void swam_wstemv(int, sexp, FILE *);
void swam_get_weight_types(int, sexp, FILE *);
#if USE_CICONF
void swam_ci_value(int, sexp, FILE *);
#endif
void swam_idl2namel(int, sexp, FILE *);
void swam_namel2idl(int, sexp, FILE *);

int docmd(sexp, FILE *);
