;;;
;;;	Copyright (C) 2001 Hitachi, Ltd.
;;;	All rights reserved.
;;;	Author: Shingo NISHIOKA
;;;		nis@harl.hitachi.co.jp
;;;

;;; rcsid="$Id: tests.scm,v 1.1.1.1 2005/06/20 07:13:48 nis Exp $"

(load "dwis.scm")
(load "dwi.scm")
(load "test.scm")

(define (farewell)
  (destroy *root*))

(define (frames)
  (frame '.f1)
  (frame '.f2)

  (button '.f1.s :text "start" :command toplev)
  (button '.f1.q :text "quit" :command farewell)

  (canvas '.f2.c :width 128 :height 128)

  (pack .f1.s :side "left")
  (pack .f1.q :side "left")

  (pack .f2.c)

  (pack .f1)
  (pack .f2))

(define (usage)
  (display "load \"tests\"\n")
  (exit))

(define (main argc argv)
  (if (= argc 1)
      (frames)
      (usage)))

(define (command-line)
  '("tests.scm"))

(let* ((argv (command-line))
       (argc (length argv)))
  (main argc argv))
